<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>LINUX: The Revised Edition</title>
<script type="text/javascript">
function closeHistory()
{
document.getElementById("history").innerHTML='';
}
function openHistory()
{
document.getElementById("history").innerHTML='<center><input type="button" onclick="closeHistory()" value="Close" /></center><br /><p>The Unix Operating System began in the 1960s and was released in the 1970s. Then the GNU project began in 1984. Richard Stallman (founder of the GNU project) planned to create a complete Unix-like operating system.</p><p>Linus Torvalds started working on Linux when he wanted a non-commercial version of MNIX. At first, Linux depended on a commercial MNIX to run. Torvalds switched to working with GNU later on. Developers of GNU and Linux worked together merging Linux and GNU components to create a functional and free operating system. On September, 1991, Linux version 0.01 was released with 10,239 lines of code. The official debut of Linux was on March 14, 1994 where Linux v1.0.0 was released with 176,250 lines of code.</p><p>The Linux penguin , Tux, became the official mascot in 1996. Tux was hand-drawn by the Russian Larry Ewing after Alan Cox suggested it. Linus Torvalds later approved it. The penguin was named Tux, because it stood for <strong>T</strong>orvalds <strong>U</strong>ni<strong>x</strong>. Look at the bottom of the section for a modern computer-generated Tux.</p><p>Then people started noticing Linux. Many groups and organizations got together and started to make an operating system based off the Linux kernel. Some groups take the operating system the previous team has made and make their own, but all Linuxes are based on the original Linux kernel, which is at v2.6.27.8 as of 2008-12-05 22:16 UTC. Today, there are countless distributions of Linux. To show &quot;countless&quot;, there were <strong>WAY</strong> over 1,000,000 distributions today. For the latest kernel version, go to www.kernel.org. So this concludes Linux history in a tiny nutshell. Look at "Uses" to see what Linux does for us in everyday life.</p><img src="?content=tux" />';
}
function closeUses()
{
document.getElementById("uses").innerHTML='';
}
function openUses()
{
document.getElementById("uses").innerHTML='<center><input type="button" onclick="closeUses()" value="Close" /></center><p>All Linux distributions are different, but the same. Some are all-purpose, and some are specialized for certain uses, but they are all based off theLinux Kernel. All-purpose Linux's, like Fedora, Debian or Ubuntu, are fit for everyone, from old computers to modern desktops and laptops to small servers to large servers to supercomputers.</p><p>Usually, Linux is used as an operating system for a server. Server Linuxes are not designed to be pretty. Instead of having a neat mouse and buttons to click and colored grafical user interface, many Linux servers only contain the <strong>console</strong>. The console is just text displayed on your screen. You enter commands into the console, and out comes the expected response. However, people prefer to have a graphical user interface, or <strong>GUI</strong> (pronounced GOO-ee), to run their server because it is so much easier to use and maintain. Common server operating systems include CentOS, Red Hat Enterprise, Fedora, Ubuntu Server Edition, and Debian. They do not come with the fun enhancements, like games. Desktop operating systems are more general-targeted.</p><p>Desktop users are like you. You use you computer to do whatever you need to do. Desktop Linux distributions have a list of thousands of free software to satisfy your needs. Software include the Pidgin Internet Messenger, Mozilla Firefox Internet Browser, OpenOffice.org Productivity Suite, and GIMP (GNU Image Malipulation Program) Image Editor. It is said that <strong>for every Windows application there is, there is an open-source/Linux equivalent</strong>. Just in case there is no alternative to a Windows program (which is virtually impossible) or you would like to have a Windows program run on a Linux machine, there are a few programs that simulate Windows without a virtual machine so you can use your Windows programs on Linux. WINE (which stands for <strong>W</strong>ine <strong>I</strong>s <strong>N</strong>ot an <strong>E</strong>mulator) is a popular Windows simulator used to run Windows programs. CrossOver is also another program that does the same thing 
(CrossOver has better compatribility than WINE, but it is not free). Desktop Linux\'s have a GUI. They have a mouse, a desktop, and the graphics you are probably familiar with. Most modern Linux\'s have an elegant GUI with smooth graphics and neat edges. A feature favored by many is the Wobbly Windows. When you drag a window across the screen, it wobbles.</p><p>Supercomputers favor Linux too. Roadrunner, the world\'s strongest supercomputer runs Fedora (formerly known as Fedora Core from Red Hat Enterprise Linux (which is from Oracle).</p><p>Robots use Linux too! And so does NASA, most of the websites you visit, and millions of other people.</p>';
}
function closeDistros()
{
document.getElementById("distros").innerHTML='';
}
function openDistros()
{
document.getElementById("distros").innerHTML='<center><input type="button" onclick="closeDistros()" value="Close" /></center><p>Linux Distributions are different "editions" of Linux. They are organized into sections by the major distribution they are based on and the type of Package Manager (software and update control) they are based on. There is the Debian (debb-eean) category, which includes the Knoppix (nop-icks) and Ubuntu (OO-bOOn-tOO) based categories. There is the Gentoo (gen-tOO) category. There is the RPM and Red Hat category. The last major distribution is the Slackware category with the SLAX category in it. There are others, but they are not as important.</p><p>Debian is a strong supporter of Free and Open-Source Software. It is friendly with most computers. Debian-based Linuxes\' package manager uses <strong>.deb</strong> format for installation. DEBs are quite convienient and popular. Here are some examples of Debian-based operating systems:<br />&bull; <strong>Ubuntu</strong> -- Known as "Linux for Human Beings". It is designed to be a beautiful Linux on one CD, which includes Live CD.<br />  &rarr; Kubuntu -- Ubuntu using KDE instead of the GNOME desktop environment. GNOME and KDE are both good desktop environments, but GNOME is generally more popular.<br />    &rarr; Edubuntu -- Ubuntu designed for educational use. Schools should use Edubuntu.<br />    &rarr; Xubuntu -- Ubuntu using the Xfce desktop environment. Xfce is designed to allow users with weak graphics cards to have a GNOME-mimicking desktop environment.<br />  &bull; <strong>Knoppix</strong> -- The first Live CD (runs Linux on a CD without installing it onto the harddrive) Linux distribution. It is of major importance.<br />&rarr; DSL (full name not appropriate) -- The smallest Linux distribution ever. It is Knoppix stripped of all the elegance. It does not have a pretty GUI, but it is <strong>very fast</strong>, requires <strong>just 50 MB</strong> to install, is a Live CD that can <strong>fit on a business card CD</strong>, and can run with as little as <strong>16 MB of RAM</strong>!<br />&rarr; SymphonyOne (formerly known as Symphony OS) -- Well, it used to be Knoppix-based until they called themselves SymphonyOne, which is Ubuntu based. Their motto is "<strong>Unity, Beauty, Simplicity</strong>".</p><p>Gentoo is designed to be highly optimized and have frequently updated software. Gentoo distributions use the Portage package system. These are some Gentoo distributions:<br />&bull; <strong>Gentoo</strong> is another distribution that has good configurability and performance with an active support community.<br />&rarr; Gentoox -- A Gentoo for the Xbox (you know, that Microsoft gaming system).<br />&rarr; Knopperdisk --  A minimal console based on Knoppix and Gentoo. It is designed to be a recovery sort of Linux.</p><p>RPM Linux\'s use the RPM file format for their packages. RPM stands for <strong>R</strong>ed Hat <strong>P</strong>ackage <strong>M</strong>anager. RPM is very popular and it is used more than DEBs.<br />&bull; <strong>Fedora</strong> (formerly known as Fedora Core) -- Another all-pupose Linux distribution. Linus Torvalds himself uses Fedora.<br />&rarr; Linux XP -- A Russian Linux that looks like Windows XP. It is also priced like Microsoft Windows.<br />&bull; <strong>Red Hat Enterprise Linux</strong> -- This is a corporate Linux. You have to pay for it and renew the license when it expires. There is a Desktop edition of RHEL, but it is also priced.<br />&rarr; CentOS -- A Linux for Server use. CentOS is one of the leading operating systems for a server.</p><p><strong>And more...:</strong><br />&bull; Elive -- Looks like a Mac OSX.<br />&bull; FaunOS -- An average all-purpose Linux distribution.<br />&bull; GoblinX -- A Slackware-based Linux that is visually appealing.<br />&bull; Linspire/Freespire -- A Ubuntu-based Linux that costs $50 unless you are using Freespire.<br />&bull; Linux Mint -- A Ubuntu-based Linux with an elegant design.<br />&bull; Paldo -- A distribution of Linux that is designed to work. That is the only goal. It comes with one of every general application unlike others, which come with many more applications to do the same thing.<br />&bull; Pardus -- An all-purpose Turkish Gentoo-based KDE Linux distribution<br />&bull; Parsix -- A Debian-based Persian GNOME distribution<br />&bull; PC/OS -- An Xubuntu-based Linux aimed at the tech people.<br />&bull;PCLinuxOS -- A Linux designed to get Windows users their first experience with Linux. It looks very much like Windows XP.<br />&bull; Puppy Linux -- Aimed at weaker computers to get them running quickly and efficiently.<br />&bull; Sabayon -- The developer claims that this Gentoo-based Linux can install in less than five minutes.<br />&bull; Sidux -- A Linux for more experienced users<br />&bull; SimpilyMEPIS -- An easy to use Debian/Ubuntu-based Linux.<br />&bull; Slackware -- The oldest surviving distribution of Linux ever. It started in 1993 and has continued to this day with no sign of quitting.<br />&bull; Slax -- Obviously a Slackware-based distro. It is like Paldo.<br />&bull; SUSE -- A commercial enterprise Linux, like Red Hat Enterprise Linux.<br />&bull; X/OS -- A distribution targeted at business and corporate users. X/OS takes up one DVD or 6 CDs.<br />&bull; Yoper -- A Linux for modern-day processors, so it is more demanding than others. It is another all-purpose distro.<br />&bull; Zenwalk -- An Xfce Slackware-based Linux designed to be stand-alone. This lightweight Linux is targeted at programmers and Internet users.</p>';
}
function closeCompare()
{
document.getElementById("compare").innerHTML='';
}
function openCompare()
{
document.getElementById("compare").innerHTML='<center><input type="button" onclick="closeCompare()" value="Close" /></center><p>Okay, Microsoft supporters! Prepare to be beaten! Here are some top comparisons between Windows and Linux (not prioritized by importance):</p><p><table border="1"><tr><th scope="col">&nbsp;</th><th scope="col">Linux</th><th scope="col">Windows</th><th scope="col">What\'s better?</th></tr><tr><th scope="row">Viruses/Malware</th><td>Design makes Linux impervable to virii. Viruses may only enter your system if you allow them to. There aren\'t even many virii in the Linux world.</td><td>Viruses love to feed on a Windows computer. You get lots of security updates all the time. There are countless numbers of viruses in the Windows world. To give you an idea of &quot;countless&quot;, there are much more Windows viruses than Linux distributions (and there are countless Linux distros!).</td><td>Linux the immune!</td></tr><tr><th scope="row">Price</th><td>Linux is free.</td><td>For Microsoft Windows Vista Home Basic, Microsoft suggests that it be sold for $199.95! That\'s <strong>no exaggeration</strong>!</td><td>Linux is more worth it by AT LEAST $200!</td></tr><tr><th scope="row">Freezing</th><td>Yes, Linux is not program crash-proof, but it doesn\'t mean that Linux can\'t handle crashes. On all the X window system (including GNOME and KDE) Linuxes, you can force a program out at once by pressing [Ctrl]+[Alt]+[Esc] or if the program is stubbornly frozen and locked up your desktop, [Ctrl]+[Alt]+[Backspace] will force your desktop environment to reload (essentially logging you out). You don\'t have to reboot!</td><td>In my opinion, freezing happens more on a Windows. The first way to get out is to go to the Task Manager by [Ctrl]+[Shift]+[Esc] or [Ctrl]+[Alt]+[Delete] and clicking &quot;End Task&quot; aimlessly. A more reliable way is to go to &quot;Processes&quot; and end the process. Sometimes, it doesn\'t work, Task Manager itself freezes, or you get Access Denied. You end up restarting your computer.</td><td>Linux seems to know what to do with keyboard shortcuts!</td></tr><tr><th scope="row">Web Browser</th><td>Mozilla Firefox by default.</td><td>Internet Explorer is required for Windows\' Internet communications to work.</td><td>You\'ll find out in the &quot;Mozilla Firefox vs. Microsoft Internet Explorer&quot; section...</td></tr><tr><th scope="row">Source</th><td>Linux is <strong>open-source</strong>. It means that you can modify the source code of your own operating system!</td><td>Windows is <strong>closed-source</strong>. It means that you cannot see what Windows is doing to you behind the operating system.</td><td>Linux for the win!</td></tr><tr><th scope="row">Support</th><td>Linux is supported by people like you. The software in the package manager to the developers of the operating system, all are free. Support never falls in a Linux. You can go e-mail a developer and they wouldn\'t mind.</td><td>There is the Microsoft support forums at MSDN. It\'s for everyone to chit-chat. You can get help from there, and that\'s pretty much it. They tell you, and then it doesn\'t work and you may end up reinstalling Windows.</td><td>Linux developers are nice.</td></tr><tr><th scope="row">Hardware Support</th><td>Linux can run on i386, x86_64, PPC, ARM, MIPS, Super-H, XScale, and other technologies.</td><td>Microsoft Windows runs on 32-bit (i386) and 64-bit (x86_64) computers. That\'s it.</td><td>Linux has greater compatibility.</td></tr><tr><th scope="row">Install Time</th><td>On a Linux, it usually takes about 20 minutes for a Debian-based OS to install. Fedora and Red Hat-related OSses may take a little longer.</td><td>Installation time on a Windows ranges from 20 minutes (on powerful machines) to over an hour. <strong>Windows Vista took three hours on some machines.</strong></td><td>Linux is quite so much shorter.</td></tr><tr><th scope="row">Updates Require Reboot</th><td>For every kernel update, you should reboot. You can load the new kernel while shutting down the old one by using the command &quot;kexec&quot; in the terminal.</td><td>For every security update, you have to reboot. You <strong>HAVE</strong> to.</td><td>Linux never needs a reboot for software.</td></tr><tr><th scope="row">Uninstalling Programs</th><td>It\'s convieninet that you can check and uncheck checkboxes to install and uninstall programs</td><td>You hand select all the programs you wish to uninstall. If you mass-installed something, you\'re in a lot of pain.</td><td>Linux is convienient.</td></tr><tr><th scope="row">Verbose Text</th><td>Linux displays what it does and its progress in completing an action. You can see the progress visually and feel like you are moving right along.</td><td>You see the scrolly bar go and go. You don\'t know what it is doing.</td><td>Linux shows you what is going on.</td></tr><tr><th scope="row">Pre-installed Software</th><td>General-purpose Linuxes include quality free software.</td><td>Windows supplies minimal-quality software for your &quot;ease of use&quot;. Yeah, right.</td><td>Linux with quality software... and FREE!</td></tr></table></p><p><strong>1: Viruses</strong><br />All you Windows fans are familiar to the term "<strong>malware</strong>", right? Hey, don\'t lie. You know you have to have that anti-virus software that you probably paid for! Linux is virus-proof because of its design! Windows\' default account is an administrator. Administrators have full control. When you are on the administrator account, viruses can freely get into your system because it has full control. The latest security feature, User Account Control, even prevents Administrators from performing administrative tasks, so they have to enter their password every time you do something administrative. This is annoying to most people, so they turn that feature off. When it is turned off, happy infecting, viruses! In Linux, <em>root</em> is the administrator account, but the default is a standard user. Standard users do not have any access to any root function unless granted by root. The only way a virus can get into your Linux box is if you enter the root password for it. I know some of you are so ignorant that you still think Windows is virus-proof. Okay, then how many viruses are in the Windows world? <strong>MILLIONS!</strong> And how many are in the Linux world? Only <strong>Less than 1000!</strong> There are Linux anti-virus software, but no one really uses them because they are secure where they are. ClamAV, a Free Software anti-virus solution for Windows and Linux is a great choice if you are so paranoid that you have to have anti-virus software. ClamAV has a 100% detection rate for Linux viruses. Windows? It\'s a food dish for viruses and a mad scientists\' table for virus developers.</p><p><strong>2: Price</strong><br />Lets take Microsoft Windows Vista for an example. How much does it cost? <strong>Hundreds of dollars!</strong> That is a LOT! How much is the average Linux? <strong>It is FREE!</strong> You only spend money on Linux if it is one of the enterprise Linuxes or you are ordering a CD from someone. Even then, it\'s a fraction of what Windows is.</p><p><strong>3: Freezing</strong><br />Programs don\'t respond sometimes (maybe more on a Windows). To get out of a non-responding Windows program, you can go to the Task Manager by [Ctrl]+[Shift]+[Esc] or [Ctrl]+[Alt]+[Delete] and clicking "End Task" aimlessly, and a few minutes later, it FINALLY goes away. When your entire GUI freezes, you have to unplug the computer and plug it back in. On a Linux, if one program is not responding, it turns gray. Press [Alt]+[F4] and it will try to exit it. If it can\'t it prompts you shortly if you would like it to "Force Quit". It will quickly force it down after clicking it. If your X desktop environment (GNOME and KDE included) freezes, pressing [Ctrl]+[Alt]+[Backspace] will force you to log you out, or in KDE, [Ctrl]+[Alt]+[Esc] will destroy the program running at once... No questions asked. Never.</p><p><strong>4: Web Browser</strong><br />Microsoft Internet Explorer. That is the default browser on Windows machines. Microsoft stole the user agent from Mozilla.</p><p><strong>5: Source</strong><br /> Linux is always free and <strong>open-source</strong>. This means that the source code of the operating system is free for you to edit. How about Microsoft Windows? It is known as "<strong>closed-source</strong>". You cannot see the code, and you cannot edit it.</p><p><strong>6: Support</strong><br /> There is the Microsoft support forums at MSDN. It\'s for everyone to chit-chat. You can get help from there, and that\'s pretty much it. They tell you, and then it doesn\'t work and you may end up reinstalling Windows. Linux is supported by people like you. The software in the package manager to the developers of the operating system, all are free. Support never falls in a Linux. You can go e-mail a developer and they wouldn\'t mind.</p><p><strong>7: Hardware Support</strong><br /> Microsoft Windows runs on 32-bit (i386) and 64-bit (x86_64) computers. That\'s it. Linux can run on i386, x86_64, PPC, ARM, MIPS, Super-H, XScale, and other technologies. This may not matter much to you, but if you were writing your own Linux OS, it would help to know that Linux is supported on a wide range of systems.</p><p><strong>8: Install Time</strong><br /> On a Linux, it usually takes about 20 minutes for a Debian-based OS to install. Fedora and Red Hat-related OSses may take a little longer. Installation time on a Windows ranges from 20 minutes to over an hour. <strong>Windows Vista took three hours</strong> on some machines.</p><p><strong>9: Updating Requires Reboot</strong><br />Pop! On Windows, you get "<strong>Updating your computer is almost complete. You must restart your computer for the updates to take effect. Do you want to restart your computer now?</strong>" and it <strong>pops up every 5 minutes</strong>. How irksome! On a Linux, it only prompts for a restart if there is a Linux Kernel update as a little bubble, and it displays a little icon after that. Even then, <strong>you don\'t have to restart at all for updates to take effect</strong>. There is a terminal command you can enter to load the new kernel over the old version. While the new kernel loads, the old one is shut down. This avoids long waits at boot time. The command is <em>kexec</em>. <em>kexec</em> stands for "<em>K</em>ernel <em>Exec</em>ution". After some time, Windows gets tired of you and when you aren\'t looking, your PC reboots and it is too late to stop it. Windows Vista lets you delay the prompts for 4 hours... and then what? AHH!!! You turn around once and it reboots, no matter how much you don\'t want it to.</p><p><strong>10: Uninstalling Programs</strong><br /> You go to the Start Menu... You click on Control Panel... You click on Add/Remove Programs... You select something... You click the Uninstall button... You follow instructions and sometimes wait a long time... You select something else... You click the Uninstall button... <strong>AND SO ON</strong>... That is how you uninstall programs on a Windows PC. You go to System... You go to Administration... You go to Package Manager... You uncheck the software that you wish to uninstall... You click apply... <strong>You\'re done!</strong> That is the uninstall process on a general Debian-based machine. It\'s similar for other distributions. Lets assume you\'ve installed a massive amount of software in some package. On Windows, you have to handle each individual one and it will take forever. On a Linux package manager, all you have to do is uncheck whatever software you need and click apply. It\'s all automated, and you can sit back and relax or do something else on the computer.</p><p><strong>11: Pre-installed Software</strong><br />Included with a Microsoft Windows Vista Ultimate (the most packed Windows that existed before Windows 7) is one Internet browser, Microsoft Internet Explorer. Fax, HyperTerminal, and Wireless are other communication software in Windows. For graphics, there is the basic Microsoft Paint. There is a calculator. Windows also comes with two text editors, Notepad for plain text, and WordPad for rich text. Windows Media Player is the media player, as the name suggests. Windows Media Center us the media center, as the name suggests. Games include 3D Pinball, Hearts, Reversi, Chess, Purble\'s Palace, and Inkball. There is Windows Mail for e-mail. Windows does not come with office, programming, advanced multimedia tools, decent graphics utilities, nor more than one desktop environment. A full-install Fedora DVD has web browsers including Mozilla Firefox, Seamonkey Composer, and Epiphany. There is the famous image manipulation program, GIMP (<strong>G</strong>NU <strong>I</strong>mage <strong>M</strong>anipulation <strong>P</strong>rogram), which is as good as Adobe Photoshop CS (version 7). There is a calculator and other advanced math tools, including algebra helpers and graphing. There is a clever text editor (called Text Editor) that is able to handle all kinds of text, even programming and scripting! There is at least one media player, the default being Totem Video Player. Games include Nibbles (a better edition of Snake), Battleship, Robots, Reversi, Connect Four, Connect Five, Chess, Wormux, Ballz, Alex the Alligator, Frozen Bubble, Blob Wars, and over 150 more. E-mail can be handled by Evolution. If you want to run a server, all the server tools you need are included. If you are a programmer, there are programming tools included free, unlike Microsoft Visual Studio, which is quite costly. You also can have GNOME or KDE in Fedora.<br />I know some of you are such stubborn Microsoft Windows supporters. Do you have layers in Paint? Gradients? Effects? <strong>Anything but basic shapes and text?</strong> Didn\'t think so. GIMP has impressive features, some even exceeding the modern Adobe Photoshop. Does WordPad know PHP, HTML, JavaScript, etc.? Didn\'t think so. Text Editor does. I have to give it to you that Totem Video Player is worse than Windows Media Player, but mplayer (included in all general-purpose Linuxes) plays pratically every file type and performs better than Windows Media Player. Everything about Novell Evolution E-Mail client is better than Windows Mail. There is just too much to list. You can clearly see on Wikipedia <a href="http://en.wikipedia.org/wiki/Comparison_of_e-mail_clients">here</a>, and best of all, Evolution is a popular but <strong>bad</strong> mail client. People prefer Mozilla Thunderbird, which is not included, but can be downloaded via the Package Manager. Last, but most, Microsoft Internet Explorer versus Mozilla Firefox. An argument about this will take forever, and strong IE supporters cannot be convinced. So what? As a bonus to this presentation, there is Internet Explorer vs. Firefox as the last tab.</p><p><strong>12: Verbose</strong><br />Verbose means "talkative" in daily life. In geektalk, verbose means "displaying a lot of information". In the least verbose Windows operating system, Windows Vista, you never know how far installation is at, or where Windows updating is at. Your argument if you were a Windows supporter would be something like: But there is a status bar to see what is happening! Yeah, all-purpose Linuxes have that too. They also display what is in the terminal/console (whatever you like to call it). Very detailed. To be even more detailed for most software is to add "-v" at the end of a command (the "v" is for <strong>v</strong>erbose).</p><p><strong>And much more...</strong><br />There is much more to Linux that is better than Microsoft Windows. This tab is too big already. I hope you like Linux more than you originally thought of it!';
}
function closePopularity()
{
document.getElementById("popularity").innerHTML='';
}
function openPopularity()
{
document.getElementById("popularity").innerHTML='<center><input type="button" onclick="closePopularity()" value="Close" /></center><p>Statistics show that 90% of all computer users use Microsoft Windows. For the web browser, about 65% of all people use Microsoft Internet Explorer in late-2005. But now, with people becoming aware of Mozilla Firefox, about 50% of all people use Internet Explorer in mid-2008. Internet Explorer has had a huge decline in popularity, and Firefox has had a huge incline in popularity. In 2009, Firefox\'s usage percentage should have gone beyond Internet Explorer. If the year is 2009 today, yay! If the statistics graph continued linearly, Internet Explorer usage should reach 0% by 2015. These statistics are based on <a href="http://www.webdevelopersnotes.com/articles/firefox_usage_statistics.php" target="_blank">www.webdevelopersnotes.com</a>. W3Schools (educators of website creation) shows that almost twice the people visit W3Schools with Firefox than Internet Explorer.</p><p>As you can see, Microsoft and Microsoft products are losing popularity, but they still rule over the Linux world. Why? Advertising. Imagine how much money Microsoft spends on advertising. When you walk into a computer store, you see the <img src="http://www.microsoft.com/windows/framework/images/windows-vista/windows-vista.gif" alt="Windows logo" />button on a huge billboard saying how &quot;great&quot; Windows is. Look at the above tab if you haven\'t already done so. How is Windows &quot;great&quot;?</p><p>There was a commercial once telling everyone that Linux servers were taking over Windows servers. Linux proved to be a better server than Windows. (The next thing you know is that your new Windows Server 2008 is making you reboot for a security update. Bahahahahahahahahahaha).</p><p>Who\'s spending billions to advertise Linux? No one. That is one of Linux\'s minor disadvantages. Lack of people knowing about it. A few hundred million isn\'t that bad...</p>';
}
function closePCAdvocate()
{
document.getElementById("iamapc").innerHTML='';
}
function openPCAdvocate()
{
document.getElementById("iamapc").innerHTML='<center><input type="button" onclick="closePCAdvocate()" value="Close" /></center><p>Lets assume I am a Microsoft supporter for this tab.</p><p>Windows is so easy to use and manage. Any ordinary person can use a Windows. On a Linux, it takes forever to learn. You have to learn hands-on from a Linux professional after books to become an experienced user of Linux. Don\'t expect to read something like &quot;<em>PC Magazine: Linux Solutions</em>&quot; or &quot;<em>Linux for Dummies</em>&quot; to master Linux. You have to learn these complicated console commands. Windows has a simple button on the bottom left called "Start". You can access everything from that button. With the new Desktop Search, you can find programs in seconds!</p><p>Oh boo hoo. Your Windows games don\'t work on your Linux box, not even with the WINE (<strong>W</strong>ine <strong>I</strong>s <strong>N</strong>ot an <strong>E</strong>mulator) emulator (that makes Windows programs work on a Linux box). How does that make you feel? What about Microsoft Office, Adobe Photoshop, and a lot of other popular programs? Sure, WINE is adding more compatibility with Windows programs, but it will never catch up to the latest programs. In 2008, WINE supported up to Microsoft Office 2003 and Adobe Photoshop CS2, but never made it work with Microsoft Office 2007 or Adobe Photoshop CS4. Yes, there are equivalents, but there is a lack of them! Where are you going to find the equal to something like Age of Empires? No where!</p><p>Linux also has a lack of drivers. If you are using new hardware, the new hardware might not function at its best until your distribution providers update your computer with a driver.</p><p>I bet you could add something to this. Microsoft Windows is just the best operating system there is.</p>';
}
function closeIEvsFF()
{
document.getElementById("ievsff").innerHTML='';
}
function openIEvsFF()
{
document.getElementById("ievsff").innerHTML='<center><input type="button" onclick="closeIEvsFF()" value="Close" /></center><p><b>What\'s so great about Firefox?</b> A lot. Both Firefox and Internet Explorer are compatible with modern web pages and technologies (<b>although I am not quite sure of that because Internet Explorer is very incompatible with this page</b>). That\'s about all Internet Explorer does. It serves its purpose of <b>just</b> web browsing (except for the fact that Internet Explorer failed half the JavaScript tests I fed to it on this page). We all love tables. Here is one now!</p><table border=1 style="background:#FFFFFF;text-align:center;"><tr><th scope=col>Mozilla Firefox vs. Microsoft Internet Explorer</th><th scope=col><img src="http://www.mozilla.com/img/tignish/firefox/vs-firefox-logo.png" alt="Mozilla Firefox" /></th><th scope=col><img src="http://www.mozilla.com/img/tignish/firefox/vs-ie-logo.png" alt="Microsoft Internet Explorer" /></th></tr><tr><th scope=row>Compatible with modern Web pages and technologies</th><td><img src="http://www.mozilla.com/img/tignish/firefox/vs-check.png" alt="Yes" /></td><td><img src="http://www.mozilla.com/img/tignish/firefox/vs-check.png" alt="Yes" /></td></tr><tr><th scope=row>Active security features and the industry\'s fastest response times</th><td><img src="http://www.mozilla.com/img/tignish/firefox/vs-check.png" alt="Yes" /></td><td>&nbsp;</td></tr><tr><th scope=row>Thousands of free ways to personalize your online experience</th><td><img src="http://www.mozilla.com/img/tignish/firefox/vs-check.png" alt="Yes" /></td><td>&nbsp;</td></tr><tr><th scope=row>Superior speed and performance</th><td><img src="http://www.mozilla.com/img/tignish/firefox/vs-check.png" alt="Yes" /></td><td>&nbsp;</td></tr><tr><th scope=row>100% free and open source software</th><td><img src="http://www.mozilla.com/img/tignish/firefox/vs-check.png" alt="Yes" /></td><td>&nbsp;</td></tr></table><p><b>Firefox is the safest web browser!</b><br />Safety is top priority in Firefox. Security features include instant website identification (to see if a website is safe or not), malware protection, parental controls, integration with your antivirus software (Windows or not), the ability to clear stored data, customization of security settings, automatic updates (that is unobtrusive unlike Microsoft Update, and updates silently), pop-up blocker, phishing warnings, fast password manager, and last but most, add-ons to enhance your security (like Ad Block Plus, an advertisement blocker).</p><p><b>Firefox is here to help!</b><br />To make your browsing life a lot easier, Firefox has a feel to make you feel at home, a feed reader (for RSS, RDF, ATOM, etc.), a download manager (that isn\'t irksome like Internet Explorers\'), session restore (to restore pages that were closed suddenly or just restoring after closing), zoom feature, the ability to load a site without images to save time and bandwidth, websearch, advanced "Find" feature, integrated web search, smart keywords, search suggestions, tabs, reordering tabs, save tabs on exit, drag-n-drop tabs, smooth scrolling, universal customization, accessability for the disabled, great text rendering, <b>advanced memory management</b>, <b>faster page loading</b>, faster JavaScript (to make this webpage work on Mozilla browsers), improved graphics rendering, advanced graphics, offline browsing, support for advanced web technologies, web application compatibility (including e-mail clients like Mozilla Thunderbird or Microsoft Outlook), color profile configuration, live support with alacrity, and Firefox built-in support.</p><p><b>One size <i>doesn\'t</i> fit all!</b><br />Everybody has a different purpose for using the Internet. Why should Firefox be the same for everyone? Firefox has <b>over five thousand</b> add-ons to help you customize Firefox to fit your needs and wants. Firefox has an add-on manager to access all add-ons you could possibly once. Add-ons modify Firefox in some way to make it work for you. Ad Block Plus blocks online advertisements. Better Gmail 2 gives you the ability to retheme Gmail. IE Tab lets you view pages that hate Mozilla Firefox in Internet Explorer\'s browser engine. There is so much more... There are themes. If you are an astronomy person, you might want a space theme. If you like how Internet Explorer looks, there are Internet Explorer-looking themes. There are lots more to theming.</p><p><b>Now lets compare features with another table.</b><table border=1 style="background:#FFFFFF;text-align:center;"><tr><th scope=col>Mozilla Firefox vs. Microsoft Internet Explorer<br />Feature Comparison</th><th scope=col><img src="http://www.mozilla.com/img/tignish/firefox/vs-firefox-logo.png" alt="Mozilla Firefox" /></th><th scope=col><img src="http://www.mozilla.com/img/tignish/firefox/vs-ie-logo.png" alt="Microsoft Internet Explorer" /></th></tr><tr><th scope=row>Download Manager</th><td>There is one window with all your downloads. Completed ones, failed ones, canceled ones, active ones, all downloads are there until you clear them. Assume you are downloading 20 downloads at once. One window handles them all. Progress meter and speed are also shown. It is much more convienient than Internet Explorer. When you click that "X", the download continues. You can see the progress and time left total at the status bar at the bottom of Firefox. If you exit out of Firefox or Firefox crashes, the downloads easily resume with the automatic resume feature.</td><td>Assume you are downloading 2 downloads at once. You have two windows to watch. How about 20 at once? You would have twenty windows. That\'s a lot to keep track of and probably will give you a headache. When you click that "X", you lost the download forever. How does that make you feel?</td></tr><tr><th scope=row>Spell Checking</th><td>Spell checking is really easy because you see your text becoming underlined as you misspell. Right-mouse click the word and you have the spelling suggestions.</td><td>Spell checking is <b>not</b> included in Internet Explorer. You never know if you spelled something right or wrong. If you don\'t have Microsoft Office, you can\'t spell check. What a pity!</td></tr><tr><th scope=row>Session Restore</th><td>Ouch! A script made Firefox crash. You open Firefox again and it asks you if you want to restore your pages. Easy.</td><td>Ouch! A script made Internet Explorer crash (or this page). You open Internet Explorer again to be greeted by your home page. Now, Internet Explorer 8 is able to restore tabs just like Mozilla Firefox. To be quite honest, a lot of the features new in Internet Explorer comes from Mozilla Firefox.</td></tr><tr><th scope=row>Smart Address Bar</th><td>Now your address bar is a search feature. You can type in a few words and a match is found for you, whether it is in the URL or the title.</td><td>Smart Address Bar was an idea from Mozilla Firefox, who created it first.</td></tr><tr><th scope=row>Find &amp; Password Manager</th><td>Pressing [Ctrl]+[F] will bring up a little bar at the bottom where you can search and highlight what text you want to find.<br />The password manager is a bar that appears on the top when you submit a password and prompts you to remember it. The page loads while the bar pops up.</td><td>The new Find box is another stolen idea from Mozilla Firefox. The bars look so much alike. Firefox had always had that in there.<br />AutoComplete passwords is a pop-up box that pauses page loading and waits for an input. When you say "Yes" or "No", the page loads. That slows down page displaying.</td></tr><tr><th scope=row>Features Internet Explorer copied from Firefox</th><td><b>Search "<i>Search Engine</i>" for "<i>Text</i>"</b> is a quick way to select text then use a search engine provider (like Google or Yahoo!) to find what you need quickly without copying and pasting. <b>View Selection Source</b> opens the source code and skips directly to the content you have selected. <b>Live Feeds</b> can be processed by Firefox since Mozilla Firefox was called Mozilla Web Browser.</td><td><b>Search</b> and <b>Search with "Search Engine"</b> is supposed to be a better way of searching with a list of search engines Internet Explorer knows. Most people use one search engine (especially Google), so the other engines are pretty much useless. <b>View Selected Source</b> is a watered-down copy of Firefoxs\' View Selection Source. Instead of displaying the entire source code, only the selected source is displayed, which is not helpful in most cases. <b>Web Slices</b>, new in IE8, now supports "Advanced" live feeds.</td></tr><tr><th scope=row>Automated Updates</th><td>While you are using Firefox, it checks for updates for your add-ons and Firefox itself. When updates are found for your add-ons or Firefox, it slides in a little notification at the bottom right for a few seconds then goes away. When you restart Firefox, updates are installed.</td><td>You open Microsoft Update to find that security updates for Internet Explorer are being installed. See #9 under "Linux vs. Microsoft Windows" to see how irksome this Microsoft Update is.</td></tr><tr><th scope=row>CNET reviews</th><td>Mozilla promised that Firefox version 3 would be so much more improved in speed, security, and productivity. They were quite right. Firefox made the "speed patches" a default in the configuration. The password manager and find feature were improved to not stop page loading like Internet Explorer still does (until they copy Firefox again). On <i>CNET reviews</i>, the reviewer loved Firefox 3 and said that the bad is "Firefox 3 will no longer support Windows 95, 98, and Me; same with Mac OS X,   versions 10.2 and earlier." which isn\'t really "bad". Here\'s the link to <a href="http://reviews.cnet.com/browsers/firefox-3/4505-3514_7-33087853.html?tag=mncol;lst">the review</a>.</td><td>Clearly, <i>CNET reviews</i> didn\'t like Internet Explorer 8 because of the 2 star rating and the frustrated mood and tone of the reviewer. The review is <a href="http://reviews.cnet.com/browsers/internet-explorer-8-beta/4505-3514_7-32890529.html?tag=mncol;lst">here</a>. I\'ll highlight some important key words: "We downloaded the <b>14.4MB file</b>, then waited as Microsoft <b>downloaded any missing   Internet Explorer updates</b>, <b>checked for malicious code</b> on our machine, and   <b>finally</b> installed the browser." Their <a href="http://reviews.cnet.com/browsers/internet-explorer-7/4505-3514_7-32111537.html?tag=mncol;lst">Internet Explorer 7 review</a> claimed that IE barely saw the leading browsers. "IE 7 was Microsoft\'s <b>one chance</b> to leapfrog ahead of the competition, <b>but</b> the   company has only <b>barely caught sight of the current front-runners</b>. For more   features and greater security, <b>switch to Mozilla Firefox</b>." We all can trust <i>CNET</i>, right?</td></tr></table>';
}
function closeFAQ()
{
document.getElementById("faq").innerHTML='';
}
function openFAQ()
{
document.getElementById("faq").innerHTML='<center><input type="button" onclick="closeFAQ()" value="Close" /></center><p>Thanks to reviewers, I have a list of frequently asked questions.</p><p><strong>Q1:</strong> <em>Linux is NOT immune to viruses. No OS is immune to viruses. Why do you say that?</em><br /><strong>A1:</strong> Yes, no operating system is virus-proof. I used immune to express that no external virus can PRY into your system. You can download a virus (but Linux viruses are very rare) and install it, then let it eat your system. To be genuinely immune, use ClamAV, a Linux Antivirus solution with a 100% detection rate. Since Linux viruses are so rare, antivirus software would be unnecessary. Only paranoid people use ClamAV.</p><p><strong>Q2:</strong> <em>End Process always works! Why do you say that it sometimes does not work?</em><br /><strong>A2:</strong> Uhh... no. According to my own testing, some software have two processes to prevent you from terminating one. They lock themselves together. You can also get a fun "Access is Denied"! Try it with Windows Update (wuauclt.exe). Impossible to terminate, right? How do you terminate programs when Task Manager is frozen? Ponder about that. Don\'t say "Restart your computer".</p><p><strong>Q3:</strong> <em>What\'s with open-source when no one ever modifies the source?</em><br /><strong>A3:</strong> People develop off of other people. Example: Linux Mint is based on Ubuntu, which is based on Debian, which is based on the Linux Kernel. If Linus Torvalds made Linux closed-source, only one group of people would be supporting it, or maybe just himself. The Linux world wouldn\'t exist.</p><p><strong>Q4:</strong> <em>Why would I use Linux when Windows has more QUALITY software?</em><br /><strong>A4:</strong> To eliminate most of the quality software, most are priced at some price. Another portion is a trial. Another portion is a demo. Another portion is adware.</p><p><strong>Q5:</strong> <em>I like shiny things.</em><br /><strong>A5:</strong> I\'m sorry. I cannot answer this question because (1) It\'s not a question, (2) It makes no sense, (3) I like shiny things too.</p><p><strong>Q6:</strong> <em>Globulation 2 is fun.</em><br /><strong>A6:</strong> This isn\'t a question, but frequently "asked". Although simple, Globulation 2 is fun and addicting. You can download it for Linux and Windows at http://globulation2.org/</p><p><strong>Q7:</strong> <em>Why use Linux when it is so hard to use?</em><br /><strong>A7:</strong> Linux became very easy to use when a popular distribution called "Ubuntu" was released. Ubuntu is Linux for Human Beings (Linux for Everyday People). <em>Ubuntu</em> is an African word meaning &quot;Humanity to others&quot;, or &quot;I am what I am because of who we all are&quot;. The Ubuntu distribution brings the spirit of Ubuntu to the software world. For those of you Windows users that want to ease into Linux, you could use PCLinuxOS or Ubuntu. Both are great choices to get into the feeling of Linux.</p><p><strong>Q8:</strong> <em>USE UBUNTU!!!</em><br /><strong>A8:</strong> Wow. You people are weird, but yes, USE UBUNTU!!!</p><p><strong>Q9:</strong> <em>What is so great about Ubuntu?</em><br /><strong>A9:</strong> Ubuntu is one of the greatest Linuxes for ordinary people. How many times do I have to tell you this? I\'ve answered this many times now.</p><p><strong>Q10:</strong> <em>I\'ve noticed that Linuxes have updates so quickly. Isn\'t that annoying?</em><br /><strong>A10:</strong> Here I am babbling about Ubuntu. Ubuntu releases new distributions every 6 months! Lets assume we are in April of 2008. Ubuntu 8.04 has been released. In October of 2008, Ubuntu 8.10 is released. 8.10 is for Year 8 on Month 10. Ubuntu 99.10 will be released in October 2099. So, 6 month updates to a totally new operating system version. How do you keep up? Easy. You are automatically updated to the next version by automatic updates. What about Windows? It\'s 1995, and Windows 95 is released. You pay for that. It\'s 1998, and Windows 98 is released. You pay to upgrade to that. It\'s 2000, and Windows 2000 has been released. You pay to upgrade to that. It\'s 2001, and Windows XP is released. You pay to upgrade to that. It\'s 2006, and Windows Vista is released. You pay to upgrade to that. It\'s 2009, and Windows 7 is released. You pay to upgrade to that. Microsoft says they support older operating systems for a while, but they really have forgotten and moved on to charge you for Windows 8, 9, and so on. That is a lot more painful that updating Ubuntu. The pain you get from updating Windows is: paying hundreds for the next edition, wait forever for the OS to install over the Windows you have, and lose performance as that is what Microsoft seems to be doing right now. The pain of updating Ubuntu to a new version is: a slowed internet connection, and a notification bubble. No, it isn\'t annoying to get these quick updates.</p><p><strong>Q11:</strong> <em>Am I annoying?</em><br /><strong>A11:</strong> I don\'t know you. You are an anonymous person. Were you the one that asked Question 5?</p><p><strong>Q12:</strong> <em>Can I use Linux in my Mobile Internet Device?</em><br /><strong>A12:</strong> Yes. For Mobile Internet Devices (MID), which are a new class of cellphones, you can run Linux. Ubuntu MID Edition is recommended for your MID.</p><p><strong>Q13:</strong> <em>How do I get Linux?</em><br /><strong>A13:</strong> Find a blank CD or DVD depending on if you download a CD or DVD Linux distribution. Download the distribution that best fits you (GO UBUNTU!!!). If you are using a 32-bit computer (which you probably are), download the <strong>i386</strong> (or 32-bit) edition. If you are using a 64-bit computer (which most people will in a few years), download the <strong>x86_64</strong> (or 64-bit) edition. Then burn the ISO file to the blank CD or DVD. Reboot your computer and boot from disk if not already.</p><p><strong>Q14:</strong> <em>Why don\'t you like cheese?</em><br /><strong>A14:</strong> That question isn\'t relevant to this topic. I shouldn\'t even let these questions be published.</p><p><strong>Q15:</strong> <em>What is Deltik?</em><br /><strong>A15:</strong> That\'s my website. It runs on Red Hat Enterprise Linux. You can visit Deltik at http://www.deltik.org/</p>';
}
function closeCredits()
{
document.getElementById("credits").innerHTML='';
}
function HttpRequest(url){
var pageRequest = false;

if (!pageRequest && typeof XMLHttpRequest != 'undefined')
{
   pageRequest = new XMLHttpRequest();
}

if (pageRequest){
   pageRequest.open('GET', url, false);
   pageRequest.send(null);
   embedpage(pageRequest);
   }
}

function embedpage(request)
{
if (window.location.href.indexOf("http")==-1 || request.status==200)
{
   document.getElementById("credits").innerHTML=request.responseText;
}
}
</script>
<style type="text/css">
<!--
body {
	background: url(?content=tux);
	background-color: #D2B48C;
}
.title {
	border: ridge;
	background: #AAFFAA;
	color: #008000;
	text-align: center;
	font-size: 72px;
	font-weight: bold;
}
.description {
	border: ridge;
	background: #AAFFAA;
	color: #008800;
	text-align: center;
}
.history {
	border: ridge;
	background: #AAAAFF;
	color: #000088;
	text-align: justify;
}
.uses {
	border: ridge;
	background: #AAFFFF;
	color: #008888;
	text-align: justify;
}
.distros {
	border: ridge;
	background: #FFFFAA;
	color: #888800;
	text-align: justify;
}
.compare {
	border: ridge;
	background: #FFAAFF;
	color: #880088;
	text-align: justify;
}
.popularity {
	border: ridge;
	background: #FFFFFF;
	color: #888888;
	text-align: justify;
}
.iamapc {
	border: ridge;
	background: #CCCCFF url(http://www.microsoft.com/windows/templatesbw/Common/images/bw/body_gradient_span_btm.gif);
	color: #000088;
	text-align: justify;
}
.ievsff {
	border: ridge;
	background: #FFFFFF url(http://www.mozilla.com/img/tignish/firefox/background-firefox-3.jpg) 50% 0 repeat-x;
	color: #000000;
	text-align: justify;
}
.faq {
	border: ridge;
	background: #40E0D0;
	color: #0000FF;
	text-align: justify;
}
.credits {
	border: ridge;
	background-image: url('http://ismyw.com/i/bg.gif');
	background: url('http://ismyw.com/i/bg-gradient.gif') repeat-x;
	color: #000000;
}
.error {
	border: ridge;
	background: #FFAAAA;
	color: #FF0000;
	text-align: center;
}
-->
</style>
</head>
<body>
<h3 id="error">
  <div class="error">
    <h1>A FATAL ERROR HAS OCCURED!</h1>

    <p>This page will not function properly because of the browser you are using. You have accessed this page with a browser called &quot;Microsoft Internet Explorer&quot;, which has a bug that will destroy all us JavaScript-ers and those who view the page. Three tabs will not work in this browser. &quot;Linux vs. Microsoft Windows&quot;, &quot;Windows and Linux Popularity&quot;, and &quot;Bibliography&quot; will not function on this browser whose head that I am about to rip off.</p>
    <p>I'll tell you what. Here is each tab in minimal design:<br />
      <a href="?content=history">History</a><br />

      <a href="?content=uses">Uses</a><br />
      <a href="?content=distributions">Distributions</a><br />
      <a href="?content=compare">Linux vs. Microsoft Windows</a><br />
      <a href="?content=popularity">Windows and Linux Popularity</a><br />
      <a href="?content=iamapc">I am a PC</a><br />
      <a href="?content=ffvsie">Mozilla Firefox vs. Internet Explorer</a><br />

      <a href="?content=bibliography">Bibliography</a><br />
      <a href="?content=faq">Frequently Asked Questions (FAQ)</a></p>
  </div>
</h3>
<script type="text/javascript">
var browserName=navigator.appName;
if (browserName=="Netscape")
{
document.getElementById("error").innerHTML='';
}
</script>
<div class="title">Linux</div>
<div class="description">
  <p>Linux in general, commonly pronounced &quot;LIH-nux&quot;, is a Unix-like computer operating system that uses the Linux kernel. Linux is one of the best examples of free and open-source software, which means that anyone can get it, modify it, and distribute it freely and by everyone.</p>

  <p>Linux is mainly used as servers (like the websites you visit, sending e-mails, et cetera), although it is used from a wide range of hardware, from mobile phones to supercomputers. Best of all, Linux is becoming more popular as a general computer operating system because of an amazing distribution of Linux called <strong>Ubuntu</strong>. Distributions are different &quot;editions&quot; of Linux. There's more detail down below in the tabs.</p>
  <p>The name Linux originally came from the Linux kernel (written by <strong>Linus Torvalds</strong>), which came from the GNU operating system, which came from an operating system called Unix. Wow. This is a lot to remember. You'll understand it.</p>
</div>
<div class="history">
  <center>

    <input type="button" onclick="openHistory();" value="History" />
  </center>
  <a name="history" id="history"></a></div>
<div class="uses">
  <center>
    <input type="button" onclick="openUses();" value="Uses" />
  </center>
  <a name="uses" id="uses"></a></div>
<div class="distros">
  <center>

    <input type="button" onclick="openDistros();" value="Distributions" />
  </center>
  <a name="distros" id="distros"></a></div>
<div class="compare">
  <center>
    <input type="button" onclick="openCompare();" value="Linux vs. Microsoft Windows" />
  </center>
  <a name="compare" id="compare"></a></div>
<div class="popularity">
  <center>

    <input type="button" onclick="openPopularity();" value="Windows and Linux Popularity" />
  </center>
  <a name="popularity" id="popularity"></a></div>
<div class="iamapc">
  <center>
    <input type="button" onclick="openPCAdvocate();" value="I am a PC" />
  </center>
  <a name="iamapc" id="iamapc"></a></div>
<div class="ievsff">
  <center>

    <input type="button" onclick="openIEvsFF();" value="Mozilla Firefox vs. Internet Explorer" />
  </center>
  <a name="ievsff" id="ievsff"></a></div>
<div class="faq">
  <center>
    <input type="button" onclick="openFAQ();" value="Frequently Asked Questions (FAQ)" />
  </center>
  <a name="faq" id="faq"></a></div>
<div class="credits">
  <center>

    <input type="button" onclick="HttpRequest('?content=bibliography');" value="Bibliography" />
  </center>
  <a name="credits" id="credits"></a></div>
</body>
</html>

