<?php
/**
 * Log2Log Online Chat Log Converter
 *  Execution
 *   Converter Frontend
 * 
 * License:
 *  This file is part of Log2Log.
 *  
 *  Log2Log is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *  
 *  Log2Log is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with Log2Log.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

include ("core.php");
$core = new Core();

// Build Initial Conversion Menu
$FORMATS = $core->formats;
asort($FORMATS);
/*$content = "<table class=\"fromchart\">
 <thead class=\"fromcharthead\">
  <th>Service</th>
  <th>Special Instructions</th>
 </thead>
 <tbody class=\"fromchartbody\">
";
foreach ($FORMATS as $name => $format)
  {
  $instructions_special = $format['instructions'];
  $content .= "  <tr id=\"row-$name\" onmouseover=\"highlight(this.id);\" onmouseout=\"unhighlight(this.id);\" onclick=\"document.location='?convertfrom=$name'\">\n   <td><center>";
  if ($format['image'])
    $content .= "<a href=\"?convertfrom=$name\"><img src=\"".$format['image']."\" alt=\"[".strtoupper($name)." ICON]\" /></a><br />";
  $content .= "<a href=\"?convertfrom=$name\">$name</a></center></td>\n   <td>$instructions_special</td>\n  </tr>\n";
  }
$content .= " </tbody>
</table>\n";*/
$content = "<table class=\"fromchart\">
 <thead class=\"fromcharthead\">
  <th colspan=\"2\">From Service</th>
 </thead>
 <tbody class=\"fromchartbody\">
";
foreach ($FORMATS as $name_unix => $format)
  {
  if ($format['from'] == true)
    {
    $name = $format['name'];
    $instructions_special = $format['instructions'];
    $content .= "  <tr id=\"row-".str_replace(" ", "", $name)."\" onmouseover=\"highlight(this.id);\" onmouseout=\"unhighlight(this.id);\" onclick=\"document.location='?convertfrom=$name_unix'\">\n   <td>&rarr;&nbsp;</td>\n   <td><center>";
    if ($format['image'])
      $content .= "<a href=\"?convertfrom=$name_unix\"><img src=\"".$format['image']."\" alt=\"[".strtoupper($name)." ICON]\" /></a><br />";
    $content .= "<a href=\"?convertfrom=$name_unix\">$name</a></center></td>\n  </tr>\n";
    }
  }
$content .= " </tbody>
</table>
<h1>Convert</h1>
<p>Log2Log is different in that it is an online chat log converter. There are certain actions to take before Log2Log can convert your chat logs. Each service has its own instructions for preparing the chat logs for conversion, but for most services, the steps to convert your logs should be similar to the following:
 <ol>
  <li>Find the folder that contains all the chat logs you want to convert, generated by the IM client. Make sure that you haven't changed up the structure, or the Log2Log format class might not be able to understand what your logs are.</li>
  <li>Compress that directory into an archive, probably into either a .ZIP or a .TAR.GZ file.</li>
  <li>Navigate in the log converter section of Log2Log to the appropriate file upload form.</li>
  <li>Upload the archive of the chat logs that you made to the Log2Log chat log converter. If your browser is experiencing difficulty uploading the archive, Log2Log recommends the <a href=\"http://chrome.google.com/\" target=\"_blank\">Google Chrome</a> web browser. Google Chrome tends to handle large file uploads better than other browsers.</li>
  <li>Be patient! The process can take a long time, but usually, the file upload takes up the most time. You should get a download that contains all the converted chat log files.</li>
 </ol>
</p>
<p>There it is on the right. Click on the service you want to convert <em>from</em>.</p>";

// Step 2: Get what to convert to
if ($_REQUEST['convertfrom'] && !$_REQUEST['convertto'])
  {
  $content = "<table class=\"fromchart\">
 <thead class=\"fromcharthead\">
  <th colspan=\"2\">To Service</th>
 </thead>
 <tbody class=\"fromchartbody\">
";
  foreach ($FORMATS as $name_unix => $format)
    {
    if ($format['from'] == true && strtolower($_REQUEST['convertfrom']) == strtolower($name_unix))
      {
      $name = $format['name'];
      foreach ($FORMATS as $name2_unix => $format2)
        {
        if ($format2['to'] == true)
          {
          $name2 = $format2['name'];
          $content .= "  <tr id=\"row-".str_replace(" ", "", $name2)."\" onmouseover=\"highlight(this.id);\" onmouseout=\"unhighlight(this.id);\" onclick=\"document.location='?convertfrom=$name_unix&convertto=$name2_unix'\">\n   <td>&rarr;&nbsp;</td>\n   <td><center>";
          if ($format2['image'])
            $content .= "<a href=\"?convertfrom=$name_unix&convertto=$name2_unix\"><img src=\"".$format2['image']."\" alt=\"[".strtoupper($name2)." ICON]\" /></a><br />";
          $content .= "<a href=\"?convertfrom=$name_unix&convertto=$name2_unix\">$name2</a></center></td>\n  </tr>\n";
          }
        }
      $content .= " </tbody>\n</table>";
      $content .= "<fieldset><legend>Special Instructions for Converting from $name</legend>\n {$format['instructions']}\n</fieldset>";
      }
    }
  }

// Step 3: Final input: The get-me-the-stuff form
elseif ($_REQUEST['convertfrom'] && $_REQUEST['convertto'])
  {
  foreach ($FORMATS as $name_unix => $format)
    {
    if ($format['from'] == true && strtolower($_REQUEST['convertfrom']) == strtolower($name_unix))
      {
      $name = $format['name'];
      foreach ($FORMATS as $name2_unix => $format2)
        {
        if ($format2['to'] == true && strtolower($_REQUEST['convertto']) == strtolower($name2_unix))
          {
          $name2 = $format2['name'];
          $form_head = '<form action="'.$_SERVER['PHP_SELF'].'" method="post" enctype="multipart/form-data">
 <input type="hidden" name="convertfrom" value="'.$name_unix.'" />
 <input type="hidden" name="convertto" value="'.$name2_unix.'" />
 <input type="hidden" name="converting" value="true" />
';
          $form = ' <span style="float: right;">
  <strong style="text-decoration: underline;">Acceptable Timezone Format Examples</strong><br />
  <span style="font-style: italic;">Recommended:</span> America/Chicago, Asia/Hong_Kong<br />
  <span style="font-style: italic;">Acceptable:</span> CST, HKST<br />
 </span>
 <table>
  <tr>
   <td><label for="file">Upload:</label></td>
   <td><input type="file" name="file" id="file" /></td>
  </tr>
  <tr>
   <td><label for="timezone">Timezone:</label></td>
   <td><input type="text" name="timezone" id="timezone" /></td>
  </tr>
  <tr>
   <td><label for="add_log">Logging:</label></td>
   <td><input type="checkbox" name="add_log" id="add_log" value="yes" /> <label for="add_log">Append conversion logs to download</label></td>
  </tr>
 </table>
<input type="submit" value="Convert" />';
          $form_foot = '
</form>
<hr />
<table width="100%">
 <thead>
  <th>Converting From</th>
  <th>&rarr;</th>
  <th>Standardizing With</th>
  <th>&rarr;</th>
  <th>Converting To</th>
 </thead>
 <tbody style="text-align: center;">
  <tr>
   <td>';
          if ($format['image'])
            $form_foot .= "<img src=\"".$format['image']."\" alt=\"[".strtoupper($name)." ICON]\" /><br />";
          $form_foot .= $name.'</td>
   <td></td>
   <td><img src="'.LOG2LOG_FORMAT_SERVICEICON_SRC.'" alt="[STANDARD FORMAT ICON]" /><br />'.LOG2LOG_FORMAT.'</td>
   <td></td>
   <td>';
          if ($format2['image'])
            $form_foot .= "<img src=\"".$format2['image']."\" alt=\"[".strtoupper($name2)." ICON]\" /><br />";
          $form_foot .= $name2.'</td>
  </tr>
 </tbody>
</table>';
          if ($format['form'])
            $form = $format['form'];
          $content = $form_head.indent($form, 1).$form_foot;
          }
        }
      }
    }
  }

// Step 4 (final): Process the final query. :D
if ($_REQUEST['convertfrom'] && $_REQUEST['convertto'] && $_REQUEST['converting'])
  {
  foreach ($FORMATS as $name => $format)
    {
    if ($format['from'] == true && strtolower($_REQUEST['convertfrom']) == strtolower($name))
      {
      foreach ($FORMATS as $name2 => $format2)
        {
        if ($format2['to'] == true && strtolower($_REQUEST['convertto']) == strtolower($name2))
          {
          eval('$FROM = new '.$name.'();');
          eval('$TO = new '.$name2.'();');
          
          // Import data provided by the final query.
          $from_data = $core->import();
          
          // Have the format classes handle the rest.
          $from_result = $FROM->processFrom($from_data);
          //  Continue if no error
          if ($from_result != false)
            {
            $to_result = $TO->processTo($from_result);
            // Export log data to the client.
            $core->export($to_result);
            }
          else
            {
            log2log_debug_error("convert", "`From` conversion failed!");
            }
          
          // TODO: Error handling
          // DEBUG: Incomplete raw output here:
          #foreach ($to_result as $final_item) { echo $final_item; } die();
          if ($LOG2LOG_error)
            {
            // Save error logs to a temporary directory
            // Don't get lost; save where we are before it's too late!
            $dir_cur = getcwd();
            // Path to Default Temporary Directory
            $tmp = sys_get_temp_dir();
            // Unique Temporary File Names
            $tmplogname_error   = uniqid("log2log-");
            $tmplogname_warning = uniqid("log2log-");
            $tmplogname_info    = uniqid("log2log-");
            // Store the debug logs into the temporary file names
            $header = "[Log2Log Chat Log Converter]";
            file_put_contents($tmp."/".$tmplogname_error, "$header\n".json_encode($LOG2LOG_error));
            file_put_contents($tmp."/".$tmplogname_warning, "$header\n".json_encode($LOG2LOG_warning));
            file_put_contents($tmp."/".$tmplogname_info, "$header\n".json_encode($LOG2LOG_info));
            
            $content = "<h1>Conversion Error</h1>\n";
            $content .= "<p>An error was encountered while processing your chat logs. If the errors look like an issue with Log2Log, please report this error to <a href=\"mailto:webmaster@deltik.org\">webmaster@deltik.org</a> while keeping in mind your confidentiality in your error report.</p>\n\n";
            
            $content .= "<fieldset><legend id=\"debug_error_legend\">Errors (<em style=\"text-decoration: underline; cursor: hand; cursor: pointer;\" onmouseover=\"this.innerHTML='show';\" onclick=\"$('#debug_error').html('Loading...'); $.ajax({url: '?debug=$tmplogname_error', success: function(data) { $('#debug_error').html(data); $('#debug_error_legend').html('Errors'); }, error: function(discard, errorType, alsodiscard) { $('#debug_error').html('Failed to download debug data! jQuery returned: '+errorType); }});\"><a href=\"?debug=$tmplogname_error\" target=\"_blank\">show</a></em>)</legend>\n";
            $size = (strlen(file_get_contents($tmp."/".$tmplogname_error))-strlen($header)-1);
            $content .= '<span id="debug_error">Stored '.$size.' bytes of temporary error logs</span>';
            $content .= "</fieldset>\n\n";
            
            $content .= "<fieldset><legend id=\"debug_warning_legend\">Warnings (<em style=\"text-decoration: underline; cursor: hand; cursor: pointer;\" onmouseover=\"this.innerHTML='show';\" onclick=\"$('#debug_warning').html('Loading...'); $.ajax({url: '?debug=$tmplogname_warning', success: function(data) { $('#debug_warning').html(data); $('#debug_warning_legend').html('Warnings'); }, error: function(discard, errorType, alsodiscard) { $('#debug_warning').html('Failed to download debug data! jQuery returned: '+errorType); }});\"><a href=\"?debug=$tmplogname_warning\" target=\"_blank\">show</a></em>)</legend>\n";
            $size = (strlen(file_get_contents($tmp."/".$tmplogname_warning))-strlen($header)-1);
            $content .= '<span id="debug_warning">Stored '.$size.' bytes of temporary warning logs</span>';
            $content .= "</fieldset>\n\n";
            
            $content .= "<fieldset><legend id=\"debug_info_legend\">Debug Data Log (<em style=\"text-decoration: underline; cursor: hand; cursor: pointer;\" onmouseover=\"this.innerHTML='show';\" onclick=\"$('#debug_info').html('Loading...'); $.ajax({url: '?debug=$tmplogname_info', success: function(data) { $('#debug_info').html(data); $('#debug_info_legend').html('Debug Data Log'); }, error: function(discard, errorType, alsodiscard) { $('#debug_info').html('Failed to download debug data! jQuery returned: '+errorType); }});\"><a href=\"?debug=$tmplogname_info\" target=\"_blank\">show</a></em>)</legend>\n";
            $size = (strlen(file_get_contents($tmp."/".$tmplogname_info))-strlen($header)-1);
            $content .= '<span id="debug_info">Stored '.$size.' bytes of temporary debug data logs</span>';
            $content .= "</fieldset>\n\n";
            
            // Former Ad-hoc Error Handling System
            /*header("Content-type: text/plain");
            
            // Ad-hoc Please Report Error message
            print "== SOMETHING WENT WRONG! ==\n PLEASE REPORT THIS ERROR TO webmaster@deltik.org.\n\n\n";
            
            // Ad-hoc MeeboConnect Sensitive Content Censoring
            MeeboConnectCensorOut();
            
            // Ad-hoc error data processing
            print "-= ERRORS =-\n";
            print_r($LOG2LOG_error_proc);
            print "\n\n";
            
            // Ad-hoc warning data processing
            print "-= WARNINGS =-\n";
            print_r($LOG2LOG_warning);
            print "\n\n";
            
            // Ad-hoc debug information processing
            print "-= DEBUG INFORMATION =-\n";
            print_r($LOG2LOG_info_proc);
            
            // Ad-hoc: Stop processing!
            die();*/
            }
          else
            {
            die(print_r($to_result));
            }
          }
        }
      }
    }
  }

// Add indentions to make the source HTML look nice.
$content = indent($content, 4);

// Display Configuration
define('LOG2LOG_TITLE', "Convert - Log2Log");
define('LOG2LOG_BODY', $content);

// Display!
$core->display();

/*********\
| TESTING |
\*********/
function MeeboConnectCensorOut()
  {
# START - LOG2LOG ERROR
global $LOG2LOG_error;
global $LOG2LOG_error_proc;
            foreach ($LOG2LOG_error as $temp)
              {
              if (substr($temp, 0, strlen("meeboconnect: ")) == "meeboconnect: ")
                {
                $lost_meeboconnect = true;
                $temp = substr($temp, strlen("meeboconnect: "));
                }
              if (substr($temp, 0, strlen("LOGIN ")) == "LOGIN ")
                {
                if (substr($temp, 0, strlen("LOGIN FAILED ")) == "LOGIN FAILED ")
                  {
                  $temp = "LOGIN FAILED. Username and password CENSORED OUT to protect your privacy.";
                  }
                else
                  {
                  $temp = "LOGIN SUCCEEDED. Username and password CENSORED OUT to protect your privacy.";
                  }
                }
              if ($lost_meeboconnect)
                $temp = "meeboconnect: ".$temp;
              $LOG2LOG_error_proc[] = $temp;
              }
# END - LOG2LOG ERROR

# START - LOG2LOG INFO
global $LOG2LOG_info;
global $LOG2LOG_info_proc;
            foreach ($LOG2LOG_info as $temp)
              {
              if (substr($temp, 0, strlen("meeboconnect: ")) == "meeboconnect: ")
                {
                $lost_meeboconnect = true;
                $temp = substr($temp, strlen("meeboconnect: "));
                }
              else
                {
                $lost_meeboconnect = false;
                }
              if (substr($temp, 0, strlen("Meebo returned these exact data: ")) == "Meebo returned these exact data: ")
                {
                $temp = substr($temp, strlen("Meebo returned these exact data: "));
                if (!$temp)
                  $temp = "Meebo didn't return any data.";
                else
                  $temp = "Meebo returned some data, CENSORED OUT to protect your privacy.";
                }
              if (substr($temp, 0, strlen("Going to authenticate as '")) == "Going to authenticate as '")
                {
                $temp = "Going to authenticate... Username and password CENSORED OUT to protect your privacy.";
                }
              if (substr($temp, 0, strlen("Built POST query ")) == "Built POST query ")
                {
                $temp = "Built POST query. Contents CENSORED OUT to protect your privacy.";
                }
              if (substr($temp, 0, strlen("LOGIN ")) == "LOGIN ")
                {
                if (substr($temp, 0, strlen("LOGIN FAILED ")) == "LOGIN FAILED ")
                  {
                  $temp = "LOGIN FAILED. Username and password CENSORED OUT to protect your privacy.";
                  }
                else
                  {
                  $temp = "LOGIN SUCCEEDED. Username and password CENSORED OUT to protect your privacy.";
                  }
                }
              if ($lost_meeboconnect)
                $temp = "meeboconnect: ".$temp;
              $LOG2LOG_info_proc[] = $temp;
              }
# END - LOG2LOG INFO
  }
?>
